%define upstream_name    Encoding-FixLatin
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Takes mixed encoding input and produces UTF-8 output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Encoding/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%description
Most encoding conversion tools take input in one encoding and produce
output in another encoding. This module takes input which may contain
characters in more than one encoding and makes a best effort to convert
them all to UTF-8 output.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/fix_latin
/usr/share/man/man1/fix_latin.1.xz

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-8.mga8
+ Revision: 1494438
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-7.mga7
+ Revision: 1267853
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-6.mga6
+ Revision: 1026924
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.40.0-5.mga6
+ Revision: 948667
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 788223
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-3.mga5
+ Revision: 739793
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-2.mga5
+ Revision: 684640
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 1.40.0-1.mga5
+ Revision: 639956
- update to 1.04

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 511403
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 366879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 kharec <kharec> 1.20.0-1.mga2
+ Revision: 175470
- imported package perl-Encoding-FixLatin


* Sat Dec 03 2011 cpan2dist 1.02-1mga
- initial mageia release, generated with cpan2dist
